------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情7
--Creator:		江宇君
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>238
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(232, 222)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local playerWay1   = CppScriptMgr:AddSimplePlayer(10670, 240,215, "Taoist Corpse")
local playerWay2   = CppScriptMgr:AddSimplePlayer(10671, 246,210, "Taoist Corpse")
local playerWay3   = CppScriptMgr:AddSimplePlayer(10670, 253,225, "Taoist Corpse")
local playerWay4   = CppScriptMgr:AddSimplePlayer(10673, 262,218, "Taoist Corpse")
local playerWay5   = CppScriptMgr:AddSimplePlayer(10670, 270,215, "Taoist Corpse")
local playerWay6   = CppScriptMgr:AddSimplePlayer(10675, 272,227, "Taoist Corpse")
local playerWay7   = CppScriptMgr:AddSimplePlayer(10671, 265,238, "Taoist Corpse")
local playerWay8   = CppScriptMgr:AddSimplePlayer(10672, 260,229, "Taoist Corpse")
local playerWay9   = CppScriptMgr:AddSimplePlayer(10673, 272,230, "Taoist Corpse")
local playerWay10   = CppScriptMgr:AddSimplePlayer(10675, 277,247, "Taoist Corpse")
local playerWay10   = CppScriptMgr:AddSimplePlayer(10674, 276,260, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10672, 283,265, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10672, 305,259, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10677, 314,274, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10676, 323,278, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10673, 332,275, "Taoist Corpse")
local playerWay11   = CppScriptMgr:AddSimplePlayer(10677, 350,283, "Taoist Corpse")


local player1 = CppScriptMgr:AddSimplePlayer(16044,389,292, "Master", 400300001,1);
local player2 = CppScriptMgr:AddSimplePlayer(16050,391,280, "Commander", 400300002,1);
local player3 = CppScriptMgr:AddSimplePlayer(48520,379,277, "Little Ice Ape", 400300003,1);
player1:SetDir(4)
local playerMonster1 = CppScriptMgr:AddPlayer(175,387,283, "Jiro")

playerMonster1:SetZoomPercent(200);
CppScriptMgr:AddEffect("MMS_MFDL", 387,283)
player1 :AddEffect("Ia_Cir_coat02");
player2 :AddEffect("Ia_Cir_coat02");
player3 :AddEffect("Ia_Cir_coat02");

local hero = CppScriptMgr:QueryHero()

hero:SetPos(232, 222)
hero:SetCtrlMapView(1)


hero:JumpTo(247, 221);
CppScriptMgr:WaitMilSec(500)

hero:JumpTo(254, 222);
CppScriptMgr:WaitMilSec(500)

hero:JumpTo(262, 229);
CppScriptMgr:WaitMilSec(500)

hero:JumpTo(271, 240);
CppScriptMgr:WaitMilSec(500)
hero:Say("How come there are so many bodies...", 2000)

hero:JumpTo(277, 255);
CppScriptMgr:WaitMilSec(500)

hero:JumpTo(293, 262);
CppScriptMgr:WaitMilSec(500)
hero:Say("So much blood... Looks like Lord Zhenwu was right!", 2000)

hero:JumpTo(304, 265);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(315, 270);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(333, 282);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(344, 286);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(354, 291);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(365, 294);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(375, 291);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(380, 286);
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(385, 285);
CppScriptMgr:WaitMilSec(500)

--怪物
-- CppScriptMgr:WaitMilSec(2000)

-- player1:RunTo(392,296)
-- player2:RunTo(394,278)
-- player3:RunTo(376,273)
CppScriptMgr:WaitMilSec(3000)

-- hero:SetPos(234,265)
-- CppScriptMgr:WaitMilSec(2000)

hero:Say("Who are you?", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Right in time! Only one human missing for this array. Well, you`ll be the last sacrifice. Hahaha...", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Jiro", 250, 655)
CppScriptMgr:WaitMilSec(2000)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)





